apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: model-registry-demo01-test
  namespace: platform
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: https://gitea.example.org/dip/tenant-catalog  # Replace with your actual repository URL
    targetRevision: model-registry/v0.2.19
    path: model-registry/overlays/argocd
  destination:
    server: https://kubernetes.default.svc
    namespace: demo01-test  # Replace with your actual profile namespace
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ApplyOutOfSyncOnly=true
  ignoreDifferences:
    - group: apps
      kind: Deployment
      jsonPointers:
        - /spec/replicas